#!/bin/bash

# Aktualizace a upgrade systému
echo "Aktualizace a upgrade systému..."
sudo apt update && sudo apt upgrade -y

# Instalace Dockeru
echo "Instalace Dockeru..."
sudo apt install -y docker.io

# Spuštění a povolení Docker služby
echo "Spuštění a povolení Docker služby..."
sudo systemctl start docker
sudo systemctl enable docker

# Přidání uživatele do skupiny docker
echo "Přidání uživatele do skupiny docker..."
sudo usermod -aG docker $USER

# Upozornění pro uživatele na nutnost odhlášení a znovupřihlášení
echo "Přidání uživatele do skupiny docker bylo dokončeno."
echo "Odhlaste se a znovu přihlaste, aby se změny projevily, a poté spusťte druhou část skriptu pro spuštění Woodpecker agenta."

# Ukončení skriptu
exit 0
